
From: Pavel Machek <pavel@ucw.cz>

This fixes u32 vs.  pm_message_t in generic code.  No code changes.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/power/devices.txt |    2 +-
 25-akpm/include/linux/device.h          |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN Documentation/power/devices.txt~fix-pm_message_t-in-generic-code Documentation/power/devices.txt
--- 25/Documentation/power/devices.txt~fix-pm_message_t-in-generic-code	2005-02-22 18:20:03.000000000 -0800
+++ 25-akpm/Documentation/power/devices.txt	2005-02-22 18:20:03.000000000 -0800
@@ -15,7 +15,7 @@ The methods to suspend and resume device
 
 struct bus_type {
        ...
-       int             (*suspend)(struct device * dev, u32 state);
+       int             (*suspend)(struct device * dev, pm_message_t state);
        int             (*resume)(struct device * dev);
 };
 
diff -puN include/linux/device.h~fix-pm_message_t-in-generic-code include/linux/device.h
--- 25/include/linux/device.h~fix-pm_message_t-in-generic-code	2005-02-22 18:20:03.000000000 -0800
+++ 25-akpm/include/linux/device.h	2005-02-22 18:20:03.000000000 -0800
@@ -110,7 +110,7 @@ struct device_driver {
 	int	(*probe)	(struct device * dev);
 	int 	(*remove)	(struct device * dev);
 	void	(*shutdown)	(struct device * dev);
-	int	(*suspend)	(struct device * dev, u32 state, u32 level);
+	int	(*suspend)	(struct device * dev, pm_message_t state, u32 level);
 	int	(*resume)	(struct device * dev, u32 level);
 };
 
_
